#include <bits/stdc++.h>
using namespace std;
string x, y;

int main(){
    cin>>x>>y;
    if(x>y)
        cout<<x<<endl;
    if(y>x)
        cout<<y<<endl;
    if(x==y)
        cout<<x<<y;
    return 0;
}